/*
 * Copyright (c) 2006-2009 OrangeSignal.com All rights reserved.
 */

package jp.sourceforge.orangesignal.ta.dataset.loader;

import java.util.Date;

import jp.sourceforge.orangesignal.ta.dataset.PriceVolumeData;


/**
 * 価格データを提供します。
 * 
 * @author 杉澤 浩二
 * @see PriceDataLoader
 * @since 1.1
 */
public class OHLCV implements PriceVolumeData {

	protected Date date;
	@Override public Date getDate() { return date; }
	public void setDate(final Date date) { this.date = date; }

	protected Number open;
	@Override public Number getOpen() { return open; }
	public void setOpen(final Number open) { this.open = open; }

	protected Number high;
	@Override public Number getHigh() { return high; }
	public void setHigh(final Number high) { this.high = high; }

	protected Number low;
	@Override public Number getLow() { return low; }
	public void setLow(final Number low) { this.low = low; }

	protected Number close;
	@Override public Number getClose() { return close; }
	public void setClose(final Number close) { this.close = close; }

	protected Number volume;
	@Override public Number getVolume() { return volume; }
	public void setVolume(final Number volume) { this.volume = volume; }

}
